Skip to main content
GET
/
core
/
v1
/
domains
/
{domainName}
/
dnssec
List DNSSECs
curl --request GET \
  --url https://api.dev.name.com/core/v1/domains/{domainName}/dnssec \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.dev.name.com/core/v1/domains/{domainName}/dnssec"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.dev.name.com/core/v1/domains/{domainName}/dnssec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "dnssec": [
    {
      "algorithm": 123,
      "digest": "<string>",
      "digestType": 123,
      "domainName": "<string>",
      "keyTag": 123
    }
  ]
}
{
"message": "Unauthorized"
}
{
"message": "Permission denied",
"details": "Failed authentication"
}
{
"message": "Not Found",
"details": "The requested domain does not exist."
}
{
"message": "Method Not Allowed"
}
{
"message": "Rate Limit Exceeded"
}
{
"message": "Internal Server Error",
"details": "Something went wrong."
}
{
"message": "The server received an invalid response from the upstream server."
}
{
"message": "The upstream server is taking too long to respond."
}

Authorizations

Authorization
string
header
required

Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.

Path Parameters

domainName
string
required

DomainName is the domain name to list keys for.

Response

A successful response.

ListDNSSECsResponse contains the list of DS records at the registry.

dnssec
object[]
required

Dnssec is the list of registered DNSSEC keys.